Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.help
Interface IContext

public interface IContext

A context registered for context-sensitive help.

This interface models the context-sensitive help that can be associated with SWT menus, menu items, and controls, and with JFace actions. A help context provides the text description of the object with which it is associated with, as well as topic links that contain more related information. This information would be displayed to the user when context sensitive help (F1) is requested.

In the current implementation of the Help system, valid contexts can be contributed through the `contexts` element of the `"org.eclipse.help.contexts"` extension point. The `IHelp.findContext(String)` method is used at runtime to create or fetch IContext objects using there fully qualified contextIds. If there is a need to override this behavior, then this IContext interface could be implemented by a client and registered with the SWT control or JFace action.

Method Summary
`IHelpResource[]` | `getRelatedTopics()` Returns a list of related topics for this help context.
`String` | `getText()` Returns the text description for this context.

Method Detail

### getRelatedTopics

    public IHelpResource[] getRelatedTopics()

  Returns a list of related topics for this help context.

  Returns:
    a list of related help topics
  Since:
    2.0

### getText

    public String getText()

  Returns the text description for this context.

  Returns:
    the text description

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.